# pyvtuneapi - VTune powered by Python
# 2007  Bram de Greve <bram.degreve@bramz.net>
#
# http://www.bramz.net/projects-code/pyvtuneapi/

# REMARKS:
# setup.py is pretty dumb in locating VtuneApi.h and VtuneApi.lib, 
# therefore youll probably need to specify their locations yourself
# like so: 
#
# setup.py build_ext --include-dirs="C:\Program Files\Intel\VTune\Analyzer\Include" \
#	--library-dirs="C:\Program Files\Intel\VTune\Analyzer\Lib"

from distutils.core import setup, Extension
import os.path

pyvtuneapi = Extension('pyvtuneapi',
	sources = ['pyvtuneapi.c'],
	libraries = ['VtuneApi'])

setup (name = 'pyvtuneapi',
	version = '0.1.1',
	description = 'VTune API powered by Python',
	author = 'Bram de Greve',
	author_email = 'bram.degreve@bramz.net',
	url = 'http://www.bramz.net/projects-code/pyvtuneapi/',
	long_description = '''
pyvtuneapi - VTune powered by Python
2007  Bram de Greve <bram.degreve@bramz.net>

http://www.bramz.net/projects-code/pyvtuneapi/
''',
	ext_modules = [pyvtuneapi],
	)

# EOF
